Subject: Re: [ipwave] Protocols and Architectures for Traffic Lights

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 3 Jul 2019 11:43:42 +0200

excuse me being at the risk of disturbing the group with my personal 
notes; I promiss you I ponder maybe I will write a draft about this...

In Scandinavian countries the protocol to communicate to traffic lights 
controllers is RSMP with a spec on github. (provided by person at gov't 
organisaiton through a doc called CEN/TC 278/WG 17 N 207).

So the current list of protocols to communicate to traffic lights 
controllers is: NTCIP (US), UTMC (UK), DIASER (FR), RSMP (Nordic), OCIT 
(D), IVERA (NL), ISO PRESTO 22951.

The SPAT/MAP/SRM/SSM are a whole different class of things.

The translation between these two classes is what brings latency.  This 
is what makes that the color of the light a human sees on smartphone or 
dashboard can be different (even if just for a few moments) from the 
color of the light seen on reality.

Implementers of apps of 'virtual' such colors of traffic lights on 
smartphones/dashboards are Dynniq, probably NeoGLS, and a colleague.

Alex

Le 25/06/2019 à 18:22, Alexandre PETRESCU a écrit :
> I got more enlightenment from a recognised expert.
> 
> In France, in addition to DIASER there is also LCR protocol for Traffic 
> Lights.
> 
> In UK there is UTMC protocol.
> 
> NTCIP is acknowledged as a protocol in USA.  Further, it may be 
> implemented by Thales, a French company.
> 
> --
> Alexandre Petrescu
> [email-masked], tél 0169089223
> 
> Le 06/06/2019 à 17:18, Alexandre Petrescu a écrit :
>>
>> For further completeness...
>>
>> The Dutch version of protocols for Traffic Lights Controllers, in 
>> addition to IVERA also include iVRI, on the web at 
>> https://www.crow.nl/thema-s/verkeersmanagement/landelijke-ivri-standaarden
>>
>> The German OCIT protocol is on the web at www.ocit.org
>>
>> I continue to wonder what is the protocol used for communicating with 
>> Traffic Lights Controllers in Italy, and in America?
>>
>> Alex
>>
>> Le 06/06/2019 à 05:13, Alexandre Petrescu a écrit :
>>>
>>> For completeness,
>>>
>>>
>>> The complete list of protocols to communication to Traffic Lights 
>>> Controllers is: DIASER, IVERA, OCIT.
>>>
>>> Because I learn in Germany and the Czech Republic, the OCIT protocol 
>>> (not DIASER) may be used for communication to Traffic Lights 
>>> Controller, with some implementations from Siemens and from Cross.  
>>> Not known whether OCIT works on IP, and on IPv6.
>>>
>>> DIASER is known to work on RS232, TCP and UDP.  Seen on IPv4; not 
>>> known on IPv6.  SEA is a traffic lights controller manufacturer in 
>>> France that produces some, implements DIASER too.  There are about 10 
>>> manufacturers in France (Aximum of Colas, Fareco of Fayat, Lacroix, 
>>> SEA, others?), all doing DIASER.
>>>
>>> Basically, if one wants a car to talk to traffic lights controllers 
>>> with low latenccy, one wants to put 3 protocols in that car.
>>>
>>>
>>> Le 29/01/2019 à 15:04, Alexandre Petrescu a écrit :
>>>>
>>>>   Protocols and Architectures for Traffic Lights
>>>>               Januay 29th, 2019
>>>>
>>>>
>>>> DIASER: a protocol used to communicate to Traffic Lights controllers.
>>>> Used in France.  Specified by AFNOR.  Closed and paying specification.
>>>> Works on hardware platforms from Lacroix (model Traffy) and Aximum
>>>> (model Maestro), and probably others.  Works on serial and on UDP/IP.
>>>> Example queries are: "DZ" to reset, "Ck" and "CJ" to query the current
>>>> color of lights, C# and CU to get the time spent in a color.
>>>>
>>>> API WIM 7101, RSGC2: proprietary API interfaces used by organisation
>>>> NEAVIA of organisation Lacroix in France; it is used to provide access
>>>> to data of traffic lights controllers.  It can be used with DIASER in
>>>> a sequence way: a gateway converts from one to another.
>>>>
>>>> ISO PRESTO 22951: a protocol to communicate with traffic lights
>>>> controller, to obtain priority for special vehicles.
>>>>
>>>> SPAT/SSM/SRM: protocols used by future traffic lights controllers;
>>>> specified by SAE in J2735.  The 2009 version is freely available,
>>>> whereas the 2016 (non retro-compatible) is paying 100 USD,
>>>> approximative.  SPAT is Signal Phase and Timing, whereas SRM is Signal
>>>> Request Message.
>>>>
>>>> SPAT-EM: an European version of SPAT, specified by ETSI, which
>>>> encapsulates SPAT.  Free access, but SPAT still paying (free
>>>> encapsulated paying).
>>>>
>>>> IVERA: a protocol used in Netherlands to communicate with Traffic
>>>> Lights controllers.  Potentially VLOG is also such a protocol.
>>>>
>>>> 3G Segnaletica: an organisation in Italy that provides hardware for
>>>> controllers for traffic  lights.  Also has models carried in 'mobile'
>>>> traffic lights.  It provides a Raspberry Pi to access the traffic
>>>> lights data.  The Raspberry Pi uses an API to access the controller
>>>> status.  That API uses HTTP.
>>>>
>>>> Siemens: is an organisation that probably provides hardware for
>>>> traffic lights controllers to be used in America (USA).
>>>>
>>>> Architectures: sketches drawing controller, tri-light bulbs, Internet,
>>>> 802.11-OCB, car, API, SPAT.
>>>>
>>>> Acknowledgements: Daniele Brevi, Bart Netten, Stephane Goeuriot, Sri
>>>> Gundavelli, Bruno Cabon, Paul Thorpe.
>>>>
>>>>
>>>> _______________________________________________
>>>> its mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/its
>>>
>>> _______________________________________________
>>> its mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/its

---

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 8 Jul 2019 16:55:44 +0200

The 'Tipo V' (read 'type V',  like in Valencia) is a protocol used in 
Spain to communicate to traffic lights controllers.  The spec number is 
UNE 135401-5 IN.

It is standardised by Spaniard organisation AENOR; the spec is paying, 
but there is an excerpt available for free; one company, at least, 
implements it - ETRA.

Le 03/07/2019 à 11:43, Alexandre Petrescu a écrit :
>> In France, in addition to DIASER there is also LCR protocol for 
>> Traffic Lights.
>>
>>>> France that produces some, implements DIASER too.  There are about 
>>>> 10 manufacturers in France (Aximum of Colas, Fareco of Fayat, 
>>>> Lacroix, SEA, others?), all doing DIASER.
>>>>

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 12 Jul 2019 15:00:38 +0200

Traffic Light EXchange platform (TLEX) is a protocol about which people 
in countries like Netherlands and Finland talk, together with the 
acronyms iVRI and IVERA.

Manufacturers: SWARCO, Dynniq, Siemens.

Alex

Le 08/07/2019 à 16:55, Alexandre Petrescu a écrit :
>> In Scandinavian countries the protocol to communicate to traffic 
>> lights controllers is RSMP with a spec on github. (provided by person 
>> at gov't organisaiton through a doc called CEN/TC 278/WG 17 N 207).
>>
>> controllers is: NTCIP (US), UTMC (UK), DIASER (FR), RSMP (Nordic), 
>> OCIT (D), IVERA (NL), ISO PRESTO 22951.
>>
>> The translation between these two classes is what brings latency.  
>> This is what makes that the color of the light a human sees on 
>> smartphone or dashboard can be different (even if just for a few 
>> moments) from the color of the light seen on reality.
>>
>>>> I continue to wonder what is the protocol used for communicating 
>>>> with Traffic Lights Controllers in Italy, and in America?
>>>>
>>>> Alex
>>>>
>>>>> Because I learn in Germany and the Czech Republic, the OCIT 
>>>>> protocol (not DIASER) may be used for communication to Traffic 
>>>>> Lights Controller, with some implementations from Siemens and from 
>>>>> Cross. Not known whether OCIT works on IP, and on IPv6.
>>>>>